functor-classes-compat: Data.Functor.Classes instances for core packages

[ bsd3, data, library ] [ Propose Tags ]

Data.Functor.Classes instances for core packages:

This package used to provide instances for unordered-containers and vector, but these packages are since been upgraded. Use unordered-containers >=0.2.8.0 and vector >=0.12.


[Skip to Readme]
Versions [RSS] [faq] 1, 1.0.1, 2, 2.0.0.1
Change log changelog.md
Dependencies base (>=4.5 && <4.17), containers (>=0.4 && <0.7), transformers (<0.6), transformers-compat (>=0.5 && <0.8) [details]
License BSD-3-Clause
Copyright 2016 Oleg Grenrus
Author Oleg Grenrus <oleg.grenrus@iki.fi>
Maintainer Oleg Grenrus <oleg.grenrus@iki.fi>
Category Data
Home page https://github.com/phadej/functor-classes-compat#readme
Bug tracker https://github.com/phadej/functor-classes-compat/issues
Source repo head: git clone https://github.com/phadej/functor-classes-compat
Uploaded by phadej at 2021-11-15T15:19:52Z
Distributions LTSHaskell:1.0.1, NixOS:1.0.1, Stackage:2.0.0.1
Downloads 2011 total (412 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs available [build log]
Last success reported on 2021-11-15 [all 1 reports]

Modules

[Index] [Quick Jump]

Manual Flags

NameDescriptionDefault
Automatic Flags
NameDescriptionDefault
base-transformers-1

Together with base-transformers-1 pick: base >= 4.9, transformers 0.4.*, or= 0.5. See cabal file for precise assignments.

Enabled
base-transformers-2

See base-transformers-1 flag

Enabled
containers

'containers >= 0.5.9.1'

Enabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Candidates


Readme for functor-classes-compat-2.0.0.1

[back to package description]

Data.Functor.Classes instances for core packages:

  • containers
  • vector
  • unordered-containers